Vend is running slow on my iPad (iOS 9 or 10)


Latest update: - Nathan Payne

Setup

  •  Vend on iPad

Answer

Our current recommendation is that your iPad should be running iOS 10 (minimum) to run Vend, however for the best experience, we recommend using the latest software version - iOS 12 and up. 

You can try to continue running Vend on your iOS 9 or 10 device for now however the experience you'll have will generally be slow and 'buggy' due to the processor inside. 

For the best experience we would recommend using Vend with either a newer iPad running iOS 12 (or above) or a Mac/PC.  

Additional Information

  • The full details of our recommendations can be found here
  • You will not be able to download Vend if your iPad has skipped iOS 9.1 at the point of updating. Reach out to Apple if you receive the response "This application requires iOS 9.1 or later" when attempting to install the Vend Register app.